<?
    
    include './system/common.php';
    
 include './system/functions.php';
         
      include './system/user.php';

if(!$user) {
  header('location: /');
  exit;
}

$title = 'Магазин снаряжения';    

include './system/h.php';  

$buy_complect = _string(_num($_GET['buy_complect']));

    if($buy_complect) {

    if(mysql_result(mysql_query('SELECT COUNT(*) FROM `inv` WHERE `place` = "0" AND `user` = "'.$user['id'].'" AND `equip` = "0"'),0) + 8 > 20) {
      header('location: /shop/');
    exit;
    }
    
    $complect = mysql_query('SELECT * FROM `complects` WHERE `id` = "'.$buy_complect.'"');
    $complect = mysql_fetch_array($complect);
    
    switch($complect['quality']) {
      case 1:
      $complect_quality_level =   1;
       break;
      case 2:
      $complect_quality_level =  10;
       break;
      case 3:
      $complect_quality_level =  20;
       break;
      case 4:
      $complect_quality_level =  30;
       break;
      case 5:
      $complect_quality_level = 40;
       break;
      case 6:
      $complect_quality_level = 45;
       break;
	
	}
    
    if(!$complect OR $complect_quality_level > $user['level']) {
      header('location: /shop');
    exit;
    }
    
    $cost = 0;
    
    for($w = 1; $w < 9; $w++) {
      $shop = mysql_query('SELECT * FROM `shop` WHERE `id` = "'.$complect['w_'.$w].'"');
      $shop = mysql_fetch_array($shop);
    $cost +=$shop['cost'];
    }
    
    $cost -= round(($cost / 100) * 25);
    
    if($user['g'] < $cost) {
      header('location: /shop/');
    exit;
    }

    mysql_query('UPDATE `users` SET `g` = "'.($user['g'] - $cost).'" WHERE `id` = "'.$user['id'].'"');

    for($w = 1; $w < 9; $w++) {
    
      $shop = mysql_query('SELECT * FROM `shop` WHERE `id` = "'.$complect['w_'.$w].'"');
      $shop = mysql_fetch_array($shop);
    
    
      mysql_query('INSERT INTO `inv` (`user`,
                                      `item`,
                                     `bonus`,
                                      `_str`,
                                      `_vit`,
                                      `_agi`,
                                      `_def`) VALUES ("'.$user['id'].'",
                                                      "'.$shop['id'].'",
                                                   "'.$shop['bonus'].'",
                                                    "'.$shop['_str'].'",
                                                    "'.$shop['_vit'].'",
                                                    "'.$shop['_agi'].'",
                                                    "'.$shop['_def'].'")');
    
    }
    
      header('location: /inv/bag/');
    
    }






$buy_item = _string(_num($_GET['buy_item']));
if($buy_item) {

  $itemshop = mysql_fetch_array(mysql_query('SELECT * FROM `shop` WHERE `id` = \''.$buy_item.'\''));
  
  if(mysql_result(mysql_query('SELECT COUNT(*) FROM `inv` WHERE `place` = \'0\' AND `user` = \''.$user['id'].'\' AND `equip` = \'0\''),0) + 1 > 20) $errors[] = 'Ошибка, ваша сумка заполнена';
  
  if($itemshop['cost'] > $user['g']) $errors[] = 'Ошибка, не хватает <img src=\'/images/icon/g.png\' alt=\'*\'/> '.($itemshop['cost'] - $user['g']).' золота<div class=\'separator\'></div><a href=\'/worldkassa/buy.php/\' class=\'button\'>Купить</a>';  
  
  if($errors) {
      
        echo '<div class=\'content\' align=\'center\'>';
        
        foreach($errors as $error) {
          
          echo $error.'<br/>';
          
        }
      
        echo '</div>
<div class=\'line\'></div>';
      
  }
  else
  {

    mysql_query('UPDATE `users` SET `g` = `g` - '.$itemshop['cost'].' WHERE `id` = \''.$user['id'].'\'');
  
    mysql_query('INSERT INTO `inv` (`user`,
                                    `item`,
                                  `quality`,
                                   `bonus`,
                                    `_str`,
                                    `_vit`,
                                    `_agi`,
                                    `_def`,
                                   `place`) VALUES (\''.$user['id'].'\',
                                                \''.$itemshop['id'].'\',
                                           \''.$itemshop['quality'].'\',
                                             \''.$itemshop['bonus'].'\',
                                              \''.$itemshop['_str'].'\',
                                              \''.$itemshop['_vit'].'\',
                                              \''.$itemshop['_agi'].'\',
                                              \''.$itemshop['_def'].'\',
                                                                  \'0\')');

    header('location: /inv/bag/');
  
  }
  
}

echo '<div class=\'title\'>'.$title.'</div>
<div class=\'line\'></div>';

$quality = _string(_num($_GET['quality']));
if($quality) {

  if($quality == 1 && $user['level'] < 1 OR $quality == 2 && $user['level'] < 10 OR $quality == 3 && $user['level'] < 20 OR $quality == 4 && $user['level'] < 30 OR $quality == 5 && $user['level'] < 40 OR $quality == 6 && $user['level'] < 45) {
    
      header('location: /shop/');
      exit;
    
  }

  $q = mysql_query('SELECT * FROM `complects` WHERE `quality` = \''.$quality.'\'');    
  while($row = mysql_fetch_array($q)) {

    echo '<div class=\'list\'>
  <li><small><a href=\'/complect/'.$row['id'].'/\'>'.$row['name'].'</a></li></small>
  <div class=\'content\' align=\'center\'>
    <a href=\'/complect/'.$row['id'].'/\'><img src=\'/manekenImage/'.$user['sex'].'/'.$row['w_1'].'/'.$row['w_2'].'/'.$row['w_3'].'/'.$row['w_4'].'/'.$row['w_5'].'/'.$row['w_6'].'/'.$row['w_7'].'/'.$row['w_8'].'/\'/></a>
  </div>
</div><div class=\'line\'></div>';
      
  }

  echo '<div class=\'list\'>
  <li class=\'no_b\'><a href=\'/shop/\'><img src=\'/images/icon/equip.png\' alt=\'*\'/> Магазин снаряжения</a></li>
</div>';

}
else
{
 
  echo '<div class=\'content\' align=\'center\'>
  <img src=\'/images/town/shop.png\' alt=\'*\'/>
</div>
<div class=\'line\'></div>';

  if($user['level'] > 45) {

    echo '<div class=\'content\'>
  <img src=\'/images/icon/quality/5.png\'/> <a href=\'/shop/6/\'><font color=\'#f96c27\'>Сверх Божественные вещи</font></a><br/>
  <small><small> <img src=\'/images/icon/skill.png\' alt=\'*\'/> С 45 уровня.</small></small>
</div>
<div class=\'line\'></div>';

  }

  if($user['level'] > 40) {

    echo '<div class=\'content\'>
  <img src=\'/images/icon/quality/4.png\'/> <a href=\'/shop/5/\'><font color=\'#f96c27\'>Божественные вещи</font></a><br/>
  <small><small> <img src=\'/images/icon/skill.png\' alt=\'*\'/> С 40 уровня.</small></small>
</div>
<div class=\'line\'></div>';

  }

  if($user['level'] > 30) {

    echo '<div class=\'content\'>
  <img src=\'/images/icon/quality/3.png\'/> <a href=\'/shop/4/\'><font color=\'#d67bfc\'>Легендарные вещи</font></a><br/>
  <small><small> <img src=\'/images/icon/skill.png\' alt=\'*\'/> С 30 уровня.</small></small>
</div>
<div class=\'line\'></div>';

  }

  if($user['level'] > 20) {
    
    echo '<div class=\'content\'>
  <img src=\'/images/icon/quality/2.png\'/> <a href=\'/shop/3/\'><font color=\'#529ce4\'>Эпические вещи</font></a><br/>
  <small><small> <img src=\'/images/icon/skill.png\' alt=\'*\'/> С 20 уровня.</small></small>
</div>
<div class=\'line\'></div>';

  }

  if($user['level'] > 10) {

    echo '<div class=\'content\'>
  <img src=\'/images/icon/quality/1.png\'/> <a href=\'/shop/2/\'><font color=\'#9bcd69\'>Редкие вещи</font></a><br/>
  <small><small> <img src=\'/images/icon/skill.png\' alt=\'*\'/> С 10 уровня.</small></small>
</div>
<div class=\'line\'></div>';

  }

  if($user['level'] > 1) {

    echo '<div class=\'content\'>
  <img src=\'/images/icon/quality/0.png\'/> <a href=\'/shop/1/\'><font color=\'#9b8869\'>Обычные вещи</font></a><br/>
  <small><small><img src=\'/images/icon/skill.png\' alt=\'*\'/> С 1 уровня.</small></small>
</div>
<div class=\'line\'></div>';

  }

  echo '<div class=\'content\'>
  <img src=\'/images/icon/skill.png\' alt=\'*\'/> Мастерство: '.$user['skill'].'</div>';

}
  
include './system/f.php';

?>